org.apache.catalina.valves

## Class RemoteCIDRValve

- java.lang.Object
- - org.apache.catalina.util.LifecycleBase
  - - org.apache.catalina.util.LifecycleMBeanBase
    - - org.apache.catalina.valves.ValveBase
      - - org.apache.catalina.valves.RemoteCIDRValve

- All Implemented Interfaces:
    javax.management.MBeanRegistration, Contained, JmxEnabled, Lifecycle, Valve

      public final class RemoteCIDRValve
      extends ValveBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.catalina.Lifecycle

      `Lifecycle.SingleUse`

  - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.valves.ValveBase

      `asyncSupported, container, containerLog, info, next, sm`

    - ### Fields inherited from class org.apache.catalina.util.LifecycleMBeanBase

      `mserver`

    - ### Fields inherited from interface org.apache.catalina.Lifecycle

      `AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteCIDRValve()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAllow()` Return a string representation of the `NetMask` list in #allow.
    `java.lang.String` | `getDeny()` Return a string representation of the `NetMask` list in #deny.
    `void` | `invoke(Request request, Response response)` The implementation-specific logic represented by this Valve.
    `void` | `setAllow(java.lang.String input)` Fill the #allow list with the list of netmasks provided as an argument, if any.
    `void` | `setDeny(java.lang.String input)` Fill the #deny list with the list of netmasks provided as an argument, if any.

    - ### Methods inherited from class org.apache.catalina.valves.ValveBase

      `backgroundProcess, event, getContainer, getDomainInternal, getInfo, getNext, getObjectNameKeyProperties, initInternal, isAsyncSupported, setAsyncSupported, setContainer, setNext, startInternal, stopInternal, toString`

    - ### Methods inherited from class org.apache.catalina.util.LifecycleMBeanBase

      `destroyInternal, getDomain, getObjectName, postDeregister, postRegister, preDeregister, preRegister, register, setDomain, unregister`

    - ### Methods inherited from class org.apache.catalina.util.LifecycleBase

      `addLifecycleListener, destroy, findLifecycleListeners, fireLifecycleEvent, getState, getStateName, getThrowOnFailure, init, removeLifecycleListener, setState, setState, setThrowOnFailure, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteCIDRValve

          public RemoteCIDRValve()

  - ### Method Detail

    - #### getAllow

          public java.lang.String getAllow()

      Return a string representation of the `NetMask` list in #allow.
      Returns:
        the #allow list as a string, without the leading '[' and trailing ']'

    - #### setAllow

          public void setAllow(java.lang.String input)

      Fill the #allow list with the list of netmasks provided as an argument, if any. Calls #fillFromInput.
      Parameters:
        `input` - The list of netmasks, as a comma separated string
      Throws:
        `java.lang.IllegalArgumentException` - One or more netmasks are invalid

    - #### getDeny

          public java.lang.String getDeny()

      Return a string representation of the `NetMask` list in #deny.
      Returns:
        the #deny list as a string, without the leading '[' and trailing ']'

    - #### setDeny

          public void setDeny(java.lang.String input)

      Fill the #deny list with the list of netmasks provided as an argument, if any. Calls #fillFromInput.
      Parameters:
        `input` - The list of netmasks, as a comma separated string
      Throws:
        `java.lang.IllegalArgumentException` - One or more netmasks are invalid

    - #### invoke

          public void invoke(Request request,
                    Response response)
                      throws java.io.IOException,
                             ServletException

      Description copied from class: `ValveBase`
      The implementation-specific logic represented by this Valve. See the Valve description for the normal design patterns for this method.

      This method MUST be provided by a subclass.

      Specified by:
        `invoke` in interface `Valve`
      Specified by:
        `invoke` in class `ValveBase`
      Parameters:
        `request` - The servlet request to be processed
        `response` - The servlet response to be created
      Throws:
        `java.io.IOException` - if an input/output error occurs
        `ServletException` - if a servlet error occurs

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.